import {createContext, useEffect, useState} from "react";
import {jsonRequest} from "@/common/util/RequestUtil.js";

export const UserContext = createContext({});

export const UserProvider = ({children}) => {
    const [user, setUser] = useState(null);

    const updateUser = async () => jsonRequest("/user/@me").then((res) => setUser(res));

    useEffect(() => {
        updateUser();
    }, []);

    return (
        <UserContext.Provider value={user}>
            {children}
        </UserContext.Provider>
    )
}